跳转到主要内容
POST
/
text-to-image
Text To Image
curl --request POST \
  --url https://dream-gateway.livepeer.cloud/text-to-image \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "model_id": "",
  "loras": "",
  "height": 576,
  "width": 1024,
  "guidance_scale": 7.5,
  "negative_prompt": "",
  "safety_check": true,
  "seed": 123,
  "num_inference_steps": 50,
  "num_images_per_prompt": 1
}
'
{
  "images": [
    {
      "url": "<string>",
      "seed": 123,
      "nsfw": true
    }
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
prompt
string
必填

Text prompt(s) to guide image generation. Separate multiple prompts with '|' if supported by the model.

model_id
string
默认值:""

Hugging Face model ID used for image generation.

loras
string
默认值:""

A LoRA (Low-Rank Adaptation) model and its corresponding weight for image generation. Example: { "latent-consistency/lcm-lora-sdxl": 1.0, "nerijs/pixel-art-xl": 1.2}.

height
integer
默认值:576

The height in pixels of the generated image.

width
integer
默认值:1024

The width in pixels of the generated image.

guidance_scale
number
默认值:7.5

Encourages model to generate images closely linked to the text prompt (higher values may reduce image quality).

negative_prompt
string
默认值:""

Text prompt(s) to guide what to exclude from image generation. Ignored if guidance_scale < 1.

safety_check
boolean
默认值:true

Perform a safety check to estimate if generated images could be offensive or harmful.

seed
integer

Seed for random number generation.

num_inference_steps
integer
默认值:50

Number of denoising steps. More steps usually lead to higher quality images but slower inference. Modulated by strength.

num_images_per_prompt
integer
默认值:1

Number of images to generate per prompt.

响应

Successful Response

Response model for image generation.

images
Media · object[]
必填

The generated images.

Last modified on March 1, 2026